summaryrefslogtreecommitdiff
path: root/gnu/egcs/gcc/fixinc/fixincl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gnu/egcs/gcc/fixinc/fixincl.sh')
-rw-r--r--gnu/egcs/gcc/fixinc/fixincl.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/gnu/egcs/gcc/fixinc/fixincl.sh b/gnu/egcs/gcc/fixinc/fixincl.sh
index 56eebd60bc4..05722bdff01 100644
--- a/gnu/egcs/gcc/fixinc/fixincl.sh
+++ b/gnu/egcs/gcc/fixinc/fixincl.sh
@@ -125,7 +125,12 @@ for INPUT in ${INPUTLIST} ; do
cd ${ORIGDIR}
-cd ${INPUT} || continue
+# This originally used cd || continue, however, that does not work with the
+# Solaris2 /bin/sh.
+if [ ! -d ${INPUT} ]; then
+ continue
+fi
+cd ${INPUT}
INPUT=`${PWDCMD}`
#